/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Aug  5 15:37:33 CEST 2001
    copyright            : (C) 2001 by Florian Berger
    email                : harpin_floh@yahoo.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Modified 2002 by Reinier Lamers

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "k2guitune.h"

static const char *description =
	I18N_NOOP("K3Guitune");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "k3guitune", I18N_NOOP("K3Guitune"),
		VERSION, description, KAboutData::License_GPL, "(C) 2002 Reinier Lamers",
    0, 0, "tux_rocker@planet.nl");
	aboutData.addAuthor("Florian Berger", I18N_NOOP("Author of K2Guitune"), "harpin_floh@yahoo.de");
        aboutData.addAuthor("Reinier Lamers", I18N_NOOP("Ported K2Guitune to KDE3 under the name K3Guitune"),
                      "tux_rocker@planet.nl");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(K2GuituneApp);
  }
  else 
  {
    K2GuituneApp *k2guitune = new K2GuituneApp();
    k2guitune->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
//        k2guitune->openDocumentFile(args->arg(0));
		}
		else
		{
//		  k2guitune->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
